apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Orton <jor...@redhat.com>
Subject Re: APR_VERSION_AT_LEAST() macro?
Date Tue, 30 Aug 2005 11:25:23 GMT
On Tue, Aug 30, 2005 at 07:08:48AM -0400, Jeff Trawick wrote:
>  
> +#define APR_VERSION_AT_LEAST(major,minor,patch)                    \
> +(((major) < APR_MAJOR_VERSION)                                     \
> + || ((major) == APR_MAJOR_VERSION && (minor) < APR_MINOR_VERSION) \
> + || ((major) == APR_MAJOR_VERSION && (minor) == APR_MINOR_VERSION &&
(patch) <= APR_PATCH_VERSION))
>  
>  #if defined(APR_IS_DEV_VERSION) || defined(DOXYGEN)
>  /** Internal: string form of the "is dev" flag */

+1 with a note that the macro is only available from 1.3.0 onwards (and 
so somewhat defeating the point but hey ;)

joe

Mime
View raw message